Ask Your Question
0

Fedup from F20 to F21 fails to setup repos.

asked 2014-12-09 11:23:04 -0500

Leafy gravatar image

updated 2014-12-09 20:41:23 -0500

mether gravatar image

this is what happens when i attemp to run the command :

$ sudo fedup --network 21 --product=workstation

setting up repos...

Downloading failed: registration of commands not supported

this is what the logfile looks like:

[     0.392] (II) fedup:<module>() /bin/fedup 0.9.0 starting at Tue Dec  9 12:19:43 2014
[     0.393] (DD) fedup:setup_downloader() setup_downloader(version=21, repos=[])
[     0.393] (II) fedup.yum:__init__() UpgradeDownloader(version=21,cachedir=/var/cache/system-upgrade)
[     0.394] (DD) fedup.yum:__init__() prerepoconf.cache=0
[     0.394] (II) fedup.yum:setup_repos() checking repos
[     0.672] (II) fedup:message() Downloading failed: registration of commands not supported
edit retag flag offensive close merge delete

Comments

yes sir, i have checked

Leafy gravatar imageLeafy ( 2014-12-09 11:30:36 -0500 )edit

This could be a temporary problem with busy mirrors, but if you happen to have yum-plugin-copr enabled, you might want to read https://bugzilla.redhat.com/show_bug.cgi?id=1161956 and update from -testing or disable it.

randomuser gravatar imagerandomuser ( 2014-12-09 11:41:03 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-12-09 11:27:09 -0500

Are all of the packages on your F20 system, including fedup, up to date?

edit flag offensive delete link more

Question Tools

Stats

Asked: 2014-12-09 11:23:04 -0500

Seen: 474 times

Last updated: Dec 09 '14